library date_formatted;
import 'package:intl/intl.dart';

class DateFormatted{

  static String toDateTime( DateTime dateTime ){
    String dateTimeToString = "";

    if( null != dateTime ){
      dateTimeToString = DateFormat( "dd/MM/yyyy HH:mm" ).format( dateTime );
    }
    return dateTimeToString;
  }

  static String toDate( DateTime dateTime ){
    String dateToString = "";

    if( null != dateTime ){
      dateToString = DateFormat( "dd/MM/yyyy" ).format( dateTime );
    }
    return dateToString;
  }

  static DateTime fromDateTime( String dateTime ){
    DateTime dateTimeToDate;

    if( null != dateTime ){
      dateTimeToDate = DateFormat( "dd/MM/yyyy HH:mm" ).parse( dateTime );
    }
    return dateTimeToDate;
  }

  static DateTime fromDate( String dateTime ){
    DateTime dateTimeToDate;

    if( null != dateTime ){
      dateTimeToDate = DateFormat( "dd/MM/yyyy" ).parse( dateTime );
    }
    return dateTimeToDate;
  }
}