library mask_formatted;
import 'package:shared_package_flutter/mask/flutter_masked_text.dart';

class MaskFormatted{

  static MaskedTextController cnpj( String cnpj ){
    return MaskedTextController( mask: "00.000.000/0000-00", text: cnpj );
  }

  static MaskedTextController rg( String rg ){
    return MaskedTextController( mask: "00.000.000-0", text: rg );
  }

  static MaskedTextController cpf( String cpf ){
    return MaskedTextController( mask: "000.000.000-00", text: cpf );
  }

  static MaskedTextController cep( String cep ){
    return MaskedTextController( mask: "00.000-000", text: cep );
  }

}