library list_component;
import 'package:flutter/material.dart';

class ListComponentParam {
  final String msg;
  final IconData iconData;

  ListComponentParam( this.msg, this.iconData );
}

class ListComponent{

  static Container msg( BuildContext context, ListComponentParam _parameter ){
    return Container(
      padding: EdgeInsets.all( 10.0 ),
      child: Center(
        child: Column(
          children: <Widget>[
            Card(
              child: Column(
                children: <Widget>[
                  ListTile(
                    leading: Icon( _parameter.iconData ),
                    title: Text( _parameter.msg, style: TextStyle( color: Colors.grey, fontSize: 18 ) )
                  ),
                ]
              ),
            ),
          ],
        ),
      ),
    );
  }
}